Start on 1 Apr 19 we are upgrade TLS version 1.2 for FPX payment.

Please make sure you are advised to use at least one of these web browsers:

- Google Chrome version 30 or newer.

- Mozilla Firefox version 27 or newer.

- Internet Explorer version 11 or newer.

- Microsoft Edge on Windows 10.

- Apple Safari version 7 or newer.

- Any other browser that supports TLS 1.2.

We advise please updated your web browser to avoid may display a blank page or connection error message.

Thank you